ExpressUi::Engine.routes.draw do
  root to: "styleguide#index", as: :styleguide

  get '/ui_components', to: 'uicomponents#index', as: :uicomponents
  get '/about', to: 'styleguide#about', as: :about
  get '/scripts', to: 'scripts#index', as: :scripts

  get '/ui_components/templates/master-detail', to: 'templates#master_detail'
  get '/ui_components/templates/master-detail-fixed', to: 'templates#master_detail_fixed'
  get '/ui_components/templates/content-and-sidebar', to: 'templates#content_and_sidebar'
  get '/ui_components/templates/content-and-sidebar-fixed', to: 'templates#content_and_sidebar_fixed'
  get '/ui_components/templates/half-width', to: 'templates#half_width'
  get '/ui_components/templates/full-width', to: 'templates#full_width'

  get '/ui_components/pages/coming-soon', to: 'pages#coming_soon'
  get '/ui_components/pages/register', to: 'pages#register'
  get '/ui_components/pages/login', to: 'pages#login'
  get '/ui_components/pages/static', to: 'pages#static'

  get '/ui_components/pages/admin/', to: 'pages#admin'
  get '/ui_components/pages/admin/detail', to: 'pages#show_detail'

end
