module ExpressUi
  module ChecksForTesting

    # Returns boolean as to whether something is for testing
    #
    # For example, this can be used to
    # show styles/elements or any visual indication for the product owner
    # to easily distinguish a test/acceptance environment from production
    def for_testing?
      !Rails.env.production? && !Rails.env.development?
    end
  end
end
