# ET relies on the constants already loaded before using names such as `code_demo`.
# Think of it as selective eager loading.

### See also
# (1) https://git.appexpress.io/appexpress/express_templates/blob/master/lib/express_templates/components/base.rb#L56
# (2) https://git.appexpress.io/appexpress/express_templates/blob/master/lib/arbre/patches.rb#L73
###

Dir.glob(File.expand_path("../../../app/components/**/*.rb", __FILE__)).each do |component_file|
  component_name = File.basename(component_file).split('.').first
  part_to_remove = File.expand_path("../../../app/components/", __FILE__)
  relative_path = File.dirname(component_file).gsub(part_to_remove, '')
  pathified_name = File.join(relative_path, component_name)
  #puts "#{pathified_name}"
  pathified_name.classify.constantize
end